package idi.diplom.linda.db.implementation;

import idi.diplom.linda.db.interfaces.NoteDAO;
import idi.diplom.linda.model.MedPacket;
import idi.diplom.linda.model.Note;
import idi.diplom.linda.model.Patient;

import java.util.List;

import org.hibernate.criterion.Restrictions;


public class NoteDAOHibernate extends GenericHibernateDAO<Note, Long> implements NoteDAO {

	@Override
	public List<Note> getAllNotes(Patient p) {
		List<Note> retList = getSession().createCriteria(Note.class)
		.add(Restrictions.eq("patient", p))
		.list();
		return retList;
	}



}
