package idi.diplom.linda.db.implementation;

import idi.diplom.linda.db.interfaces.PatientDAO;
import idi.diplom.linda.model.MedPacket;
import idi.diplom.linda.model.Patient;

import java.util.List;

import org.hibernate.criterion.Order;
import org.hibernate.criterion.Restrictions;


public class PatientDAOHibernate extends GenericHibernateDAO<Patient, Long> implements
		PatientDAO {

	@Override
	public Patient findByLifeShirtId(int lifeshirtId) {
		Patient p = (Patient)getSession().createCriteria(Patient.class)
		.add(Restrictions.eq( "lifeshirtId", lifeshirtId))
		.setMaxResults(1)
		.uniqueResult();
		return p;
	}



}
