package idi.diplom.linda.db.interfaces;

import idi.diplom.linda.model.Patient;

public interface PatientDAO extends GenericDAO<Patient, Long>{
	/**
	 * Gets a patient based on lifeshirtId
	 * @param lifeshirtId on wanted patient 
	 * @return patient with specified lifeshirtId
	 */
	public Patient findByLifeShirtId(int lifeshirtId);
}
