using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
//using DomainModel;
using PcClient.lifeshirt;
using PcClient.BusinessLogic;

namespace PcClient
{
    public partial class SelectPatientDialog : Form
    {
        private Patient patient;
        private List<Patient> pList;

        private bool monitorAlarms;


        public SelectPatientDialog(List<Patient> patientList)
        {            
            this.pList = patientList;
            //monitorAlarms = false;
            //if (monitorAlarms)
            //    checkBox1.CheckState = CheckState.Checked;
            InitializeComponent();

            FillListBox();
        }


        public bool MonitorAlarms
        {
            get { return checkBox1.Checked; }
        }


        public Patient Patient
        {
            get
            {
                int index = patientListBox.SelectedIndex;
                if (index >= 0 && index < pList.Count)
                    patient = pList[index];
                
                return patient;
            }
           // set { patient = value; }
        }



        private void FillListBox()
        {
            foreach (Patient patient1 in pList)
            {
                patientListBox.Items.Add(string.Format("{0} (lifeshirtID={1}) ", patient1.name, patient1.lifeshirtId));
                
            }
            if (pList.Count>0)
                patientListBox.SelectedIndex = 0;
        }

        private void okButton_Click(object sender, EventArgs e)
        {
            if (patientListBox.SelectedIndex >= 0 && patientListBox.SelectedIndex < pList.Count) 
                this.DialogResult = System.Windows.Forms.DialogResult.OK;
            Close();
        }
        




    }
}