package idi.diplom.linda;
import idi.diplom.linda.lifeshirt.FileListener;
import idi.diplom.linda.lifeshirt.Processer;
import idi.diplom.linda.logic.PatientLogic;
import idi.diplom.linda.model.Patient;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;


public class Startup {

	
	
	/**
	 * A main method starting all necessary vivometrics programs to connect with the LifeShirt and save 
	 * medpackets to a text file.
	 * If some programs are running already, these are first killed and then started all over again.
	 * This method also starts our filelistener, which looks for new data in the text file and then processes these.
	 * @param args
	 */
	public static void main(String[] args) {
//		EventDAO edao = new EventDAO();
//		edao.createAndStoreEvent("test events", new Date());

//		
//		HibernateUtil.getSessionFactory().getCurrentSession().beginTransaction();
//		PatientDAO pdao = DAOFactory.instance(DAOFactory.HIBERNATE).getPatientDAO();
//		
//		pdao.makePersistent(p);
//		
//		HibernateUtil.getSessionFactory().getCurrentSession().getTransaction().commit();
//		
		boolean runningVivo, runningMsg, runningRecsim = false;
		// check if running 
		try {
			// String image = "notepad.exe";
			Process p = Runtime.getRuntime().exec("tasklist");
			BufferedReader reader = new BufferedReader(new InputStreamReader(p
					.getInputStream()));
			String line;
			Process killP = null;
			while ((line = reader.readLine()) != null) {
				if (line.matches(".*VivoMonitor.exe.*")) {
					killP = Runtime.getRuntime().exec(
							"taskkill /f /im VivoMonitor.exe");
					killP.waitFor();
					System.out.println("Dreper vivomonitor");
				} else if (line.matches(".*Recsim2.exe.*")) {
					killP = Runtime.getRuntime().exec(
							"taskkill /f /im Recsim2.exe");
					killP.waitFor();
				} else if (line.matches(".*MsgClient.exe.*")) {
					killP = Runtime.getRuntime().exec(
							"taskkill /f /im MsgClient.exe");
					killP.waitFor();
				}

			}
			reader.close();
		} catch (IOException e) {
		}

		catch (InterruptedException ex) {
		}
		/*
		 * Launch VivoMonitor server
		 */
		try {
			Process vivoServer = Runtime
					.getRuntime()
					.exec(
							"\"D:/VivoMetrics/VivoMonitor/VivoMonitor.exe\"");
		} catch (Exception exx) {
			exx.printStackTrace();
		}

		/*
		 * Launch MsgClient
		 */
		try {
			Process msgClient = Runtime.getRuntime().exec(
					"\"MsgClient/MsgClient.exe\"");
			
		} catch (Exception exx) {
			exx.printStackTrace();
		}

		/*
		 * Launch VivoMonitor simulator
		 */
		try {
			Process recsim = Runtime.getRuntime().exec(
					"\"D:/VivoMetrics/VivoMonitor/Recsim2.exe\"");
			
			
		} catch (Exception exx) {
			exx.printStackTrace();
		}

		Processer p = new Processer();
		FileListener fileThread = new FileListener(p);
		// SocketListener sl = new SocketListener(p);
		fileThread.start();

		
	}

}
