package idi.diplom.linda.db.interfaces;

import java.util.List;

import idi.diplom.linda.model.Note;
import idi.diplom.linda.model.Patient;

public interface NoteDAO extends GenericDAO<Note, Long>{

	/**
	 * Gets all notes saved on specified patient
	 * @param patient to get notes from
	 * @return a list of all saved notes
	 */
	List<Note> getAllNotes(Patient p);
}
