package idi.diplom.linda.lifeshirt;

import idi.diplom.linda.exceptions.DatabaseException;
import idi.diplom.linda.exceptions.GeneralException;
import idi.diplom.linda.logic.AlarmLogic;
import idi.diplom.linda.logic.MedPacketLogic;
import idi.diplom.linda.logic.NoteLogic;
import idi.diplom.linda.logic.PatientLogic;
import idi.diplom.linda.model.Patient;


public class TestClass {

	private AlarmLogic al;
	private MedPacketLogic mpl;
	private PatientLogic pl;
	private NoteLogic nl;
	
	public AlarmLogic getAl() {
		return al;
	}

	public TestClass(){
		al = new AlarmLogic();
		mpl = new MedPacketLogic();
		pl = new PatientLogic();
		nl = new NoteLogic();
	}
	
	public void insertPatients(){
		for(int i=0; i<10; i++){
			Patient p1 = new Patient();
			p1.setAge((int)(Math.random()*40+1));
			p1.setAlarmInterval((int)(Math.random()*4+1));
			p1.setBrThresAlarmHigh(50);
			p1.setBrThresAlarmLow(35);
			p1.setBrThresWarnHigh(45);
			p1.setBrThresWarnLow(37);
			p1.setName("TestPatient" + i);
			p1.setLifeshirtId(i);
			try{
				pl.savePatient(p1);
			}
			catch(DatabaseException d){
				System.out.println(d.getMessage());
			}
			catch(GeneralException g){
				System.out.println(g.getMessage());
			}
		}
	}
	
	public static void main(String[] args) {
		TestClass tc = new TestClass();
		/**Patient[] patients = tc.getPl().getAllPatients();
		for(Patient p : patients){
			MedPacket mp = tc.getMpl().getLast(p);
			System.out.println("Patient: " + p);
			if(mp!=null){
				System.out.println(mp);
			}
			else{
				System.out.println("ingen medpacket p id: " + p.getLifeshirtId());
			}
		}
		try{
			Note n = new Note();
			tc.getNl().saveNote(n);
		}
		catch(DatabaseException d){
			System.out.println("yepp");
			d.printStackTrace();
		}
		catch(GeneralException lf){
			System.out.println(lf.getMessage());
			//lf.printStackTrace();
		}*/

	}

	public PatientLogic getPl() {
		return pl;
	}

	public MedPacketLogic getMpl() {
		return mpl;
	}

	public NoteLogic getNl() {
		return nl;
	}

}
