using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using PcClient.BusinessLogic;
using PcClient.lifeshirt;

namespace PcClient
{
    public partial class ViewNotesForm : Form
    {
        private List<Note> notes;
        private Patient p;
        public ViewNotesForm(Patient p)
        {
            this.p = p;
            InitializeComponent();

            try
            {
                WSLogic ws = new WSLogic();
                notes = ws.GetAllNotes(p);
                displayNotes();
            }
            catch (Exception ex)
            {
                MessageBox.Show("An error occurred: " + ex.Message);
            }
        }

        private void displayNotes()
        {
            
            foreach (Note n in notes)
            {
                
                richTextBox1.Text += string.Format("{0}\n{1}\n\n", n.created.Value.ToLocalTime(), n.note);
            }
            
        }


    }
}